from contextvars import ContextVar
from enum import Enum


blatted_environment_var: ContextVar = ContextVar("blatted_environment")


class BlattedEnvironment(Enum):
    CLI = "console line interface"
    TUI = "terminal user interface"


def set_environment(mode: BlattedEnvironment) -> None:
    blatted_environment_var.set(mode)


def get_environment() -> BlattedEnvironment:
    return blatted_environment_var.get()
